ABLKCIPHER_REQUEST_A(9)

NAME
ablkcipher_request_alloc - allocate request data structure

SYNOPSIS

struct ablkcipher_request * ablkcipher_request_alloc(struct crypto_ablkcipher * tfm, gfp_t gfp);

ARGUMENTS

tfm
    cipher handle to be registered with the request

gfp
    memory allocation flag that is handed to kmalloc by the API call.

DESCRIPTION

Allocate the request data structure that must be used with the ablkcipher encrypt and decrypt API calls. During the allocation, the provided ablkcipher handle is registered in the request data structure.

RETURN

allocated request handle in case of success; IS_ERR is true in case of an error, PTR_ERR returns the error code.

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT